Update Object Record Attachment Description
PUT
/api/{version}/vobjects/{object_name}/{object_record_id}/attachments/{attachment_id}Headers
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json or application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{object_name} | The object name__v field value (product__v, country__v, custom_object__c, etc.). |
object_record_id} | The object record id field value. |
{attachment_id} | The attachment id field value. |
Body Parameters
Section link for Body Parameters| Name | Description |
|---|---|
description__vrequired | This is the only editable field. The maximum length is 1000 characters. |
Request
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "description__v=This is my description for this attachment." \
https://myvault.veevavault.com/api/v26.1/vobjects/site__v/1357752909483/attachments/571Response
Section link for Response{
"responseStatus": "SUCCESS"
}